<html devsite><head>
    <title>网站更新</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>本页介绍了我们对 source.android.com 进行的重大修订。要查看我们对本网站所做更改的完整列表，请参阅 <a href="https://android.googlesource.com/platform/docs/source.android.com/+log/master?pretty=full&no-merges">Android 开源项目 (AOSP) docs/source.android.com 日志</a>。

</p><h2 id="Dec-2017">2017 年 12 月</h2>

<p>Android 8.1 已发布！要了解此版本中引入的主要平台功能，请参阅以下条目。</p>

<h3 id="aaudio">AAudio 和 MMAP</h3>

<p>AAudio 是一种具有增强功能的音频 API，可在与支持 MMAP 的 HAL 和驱动程序结合使用时缩短延迟时间。请参阅 <a href="/devices/audio/aaudio">AAudio 和 MMAP</a> 文档，了解需要进行哪些硬件抽象层 (HAL) 及驱动程序方面的更改，才能在 Android 中支持 AAudio 的 MMAP 功能。</p>

<h3 id="art-config">ART 配置更改</h3>

<p>在 Android 8.1 中，我们从 Android Runtime (ART) 中移除了 <code>WITH_DEXPREOPT_BOOT_IMG_ONLY</code> Makefile 选项，并将其替换为 <code>WITH_DEXPREOPT_BOOT_IMG_AND_SYSTEM_SERVER_ONLY</code> 选项（该选项可以预先优化系统服务器 JAR 以及启动相关的类路径）。有关弃用通知，请参阅<a href="/devices/tech/dalvik/configure#build_options">配置 ART</a>。</p>

<h3 id="biometric-unlock">衡量生物识别解锁模式的安全性</h3>

<p>Android 8.1 引入了以下两项与生物识别解锁相关的新指标，旨在帮助设备制造商更准确地评估设备安全性：冒名接受率 (IAR) 和欺骗接受率 (SAR)。有关示例攻击和测试方法，请参阅<a href="/security/biometric/">衡量生物识别解锁模式的安全性</a>。</p>

<h3 id="boot-times">启动时间优化</h3>

<p>从 Android 8.1 开始，您可以停用 UFS 和 CPU 调节器等组件的节电设置，以便缩短设备启动时间。请参阅<a href="/devices/tech/perf/boot-times#disable-power-saving">优化启动时间</a>，以了解新的 <code>init.*.rc</code> 设置。</p>

<h3 id="“color-mgmt”">颜色管理</h3>

<p>Android 8.1 新增了对颜色管理功能的支持，此功能可用于在采用不同显示技术的设备间提供一致的体验。在 Android 8.1 上运行的应用可以获得广色域显示屏的所有功能，以便充分利用显示设备。有关如何实现、自定义及测试此功能的说明，请参阅<a href="/devices/tech/display/color-mgmt">颜色管理</a>。</p>

<h3 id="opengl-config">OpenGLRenderer 配置简化</h3>

<p>在 Android 8.1 及更高版本中，只有 <code>ro.zygote.disable_gl_preload
property</code> 仍适用于 OpenGLRenderer 配置。所有其他属性均已移除。要了解相关通知及之前支持的属性，请参阅 <a href="/devices/graphics/renderer">OpenGLRenderer 配置</a>。</p>

<h3 id="retail-mode">零售演示模式得到简化</h3>

<p>通过设备政策管理器，Android 8.1 支持借助演示类型用户角色在零售店展示设备功能。有关实现说明，请参阅<a href="/devices/tech/display/retail-mode.html">零售演示模式</a>。</p>

<h3 id="textclassifier">TEXTCLASSIFIER</h3>

<p>Android 8.1 引入了 TextClassfier API，该 API 可以使用机器学习技术来协助开发者对文本进行分类。有关实现说明，请参阅 <a href="/devices/tech/display/textclassifier.html">TEXTCLASSIFIER</a>。</p>

<h3 id="timezone-rules">时区规则</h3>

<p>Android 8.1 为设备制造商 (OEM) 提供了一种新机制：无需进行系统更新就可以将更新的时区规则数据推送到设备中。借助此机制，用户能够及时获得更新，OEM 也能够独立于系统映像更新来测试时区更新。有关如何应用这些更新的说明，请参阅<a href="/devices/tech/config/timezone-rules">时区规则</a>。</p>

<h3 id="wifi-aware">WLAN 感知</h3>

<p>Android 8.1 中的 WLAN 感知功能支持多个设备直接通过 WLAN 进行互连（无需连接到互联网或移动网络）。此功能支持在断开网络的情况下，在可信设备和应用之间轻松共享高吞吐量数据。有关示例、源文件及指向其他文档的链接，请参阅 <a href="/devices/tech/connect/wifi-aware">WLAN 感知</a>。</p>

<h2 id="Nov-2017">2017 年 11 月</h2>

<p><em></em>“源代码”部分已更名为<a href="/setup"><em>设置</em></a>。我们设置了重定向，以确保旧网址仍可正常运行。</p>

<h2 id="Sept-2017">2017 年 9 月</h2>

<p>本网站已在中国发布，网址为：<a href="https://source.android.google.cn" class="external-link">source.android.google.cn</a>。此外，所有非参考资料也都已翻译为简体中文，方便相应用户使用。</p>

<h2 id="August-2017">2017 年 8 月</h2>

<p>Android 8.0 已发布！本部分介绍了 Android 8.0 平台中的主要新功能。</p>

<h3 id="architecture">架构</h3>

<h4>Treble</h4>
<p>
Android 8.0 支持 Treble，这是 Android 操作系统框架在架构方面的一项重大改变，旨在让制造商以更低的成本更轻松、更快速地将设备更新到新版 Android 系统。文档中详细介绍了 <a href="/devices/architecture/hidl/index.html">HAL 接口定义语言 (HIDL)</a>、全新的 <a href="/devices/architecture/configstore/index.html">ConfigStore HAL</a>、<a href="/devices/architecture/dto/index.html">设备树叠加层</a>、<a href="/devices/architecture/vndk/index.html">供应商原生开发套件 (VNDK)</a>、<a href="/devices/architecture/vintf/index.html">供应商接口对象 (VINTF)</a>、<a href="/devices/architecture/kernel/modular-kernels.html">模块化内核要求</a>以及<a href="/devices/tech/vts/index.html">供应商测试套件 (VTS) 和基础架构</a>。
</p>

<h4>FunctionFS 支持</h4>
<p>
<a class="external-link" href="https://www.kernel.org/doc/Documentation/usb/functionfs.txt">FunctionFS</a> (FFS) 是一个通过用户空间进行设计和控制的 USB gadget 函数。
提供对该函数的支持后，所有函数和协议特定代码都将存在于用户空间中，而所有 USB 传输代码则存在于内核中。使用 FFS 可将媒体传输协议 (MTP) 实现移至用户空间。
</p>

<p>
在框架方面，大部分主要变化都存在于 MtpServer 中。USB 驱动程序接口已被重构为两个不同的类：一个类使用旧的内核驱动程序，另一个类使用 FFS。然后，MtpServer 可以使用该驱动程序接口，而无需了解实现的细节。服务器启动时，FFS 驱动程序会将 USB 描述符写入文件；然后，它会将数据写入端点文件（类似于内核驱动程序使用方式）。
</p>

<h4>用于 LLDB/C++ 调试的内核增强功能</h4>
<p>
Android 8.0 版本包含一些内核增强功能，这些功能可改善开发者的调试体验，有助于开发者开发出更好的应用。如需更多信息，请参阅<a href="/devices/architecture/kernel/lldb-debug.html">实现用于 LLDB/C++ 调试的内核增强功能</a>。
</p>

<h4>内核加固</h4>
<p>
上游内核加固功能和工具，用于发现内核驱动程序中的错误。
如需更多信息，请参阅<a href="/devices/architecture/kernel/hardening.html">内核加固</a>。
</p>

<h4>在内核级别优化 SquashFS</h4>
<p>
SquashFS 是一个面向 Linux 且经过压缩的只读文件系统，适合在系统分区上使用。该文档中描述的优化功能有助于提高 SquashFS 的性能。如需更多信息，请参阅<a href="/devices/architecture/kernel/squashfs.html">在内核级优化 SquashFS</a>。
</p>

<h3 id="art-dalvik">ART 和 Dalvik</h3>
<h4>模糊测试</h4>
<p>
Android 开源项目 (AOSP) 提供了用于测试 <a href="/devices/tech/dalvik/">Android 运行时 (ART)</a> 基础架构的全新模糊测试套件。全新的工具包 JFuzz 以及经过改进的 DexFuzz 现在可以直接在 AOSP 中获得，并且随附了相关文档。请参阅：<a href="https://android.googlesource.com/platform/art/+/master/tools/jfuzz/README.md">https://android.googlesource.com/platform/art/+/master/tools/jfuzz/README.md</a>
<a href="https://android.googlesource.com/platform/art/+/master/tools/dexfuzz/README">https://android.googlesource.com/platform/art/+/master/tools/dexfuzz/README</a>
</p>
<p>
无需做任何工作，即可实现或使用这些新工具。必要时您可以对这些工具进行更改，就像您可以更改运行时/编译器一样。
</p>

<h4>VDEX 文件：提升系统更新性能</h4>
<p>
VDEX 文件有助于提升软件更新的性能和用户体验。VDEX 文件用于存储包含验证程序依赖关系且经过预验证的 DEX 文件，以便 ART 在系统更新期间无需再次解压和验证 DEX 文件。无需执行任何操作，即可实现该功能。该功能默认处于启用状态。要停用该功能，请将 <code>ART_ENABLE_VDEX</code> 环境变量设为 <code>false</code>。
</p>

<h4>ART 性能改进</h4>
<p>
在 Android 8.0 版本中，Android Runtime (ART) 有了极大改进。该文档总结了设备制造商可以在 ART 中获得的增强功能。如需更多信息，请参阅<a href="/devices/tech/dalvik/improvements.html">提升 Android 8.0 中的 ART 性能</a>。
</p>

<h4>Android A/B OTA 更新</h4>
<p>
该更新解答了设备制造商经常遇到的 Android A/B（无缝）系统更新问题。如需更多信息，请参阅 <a href="/devices/tech/ota/ab_updates#frequently-asked-questions.html">A/B（无缝）系统更新常见问题解答</a>。
</p>

<h3 id="automotive">车载</h3>

<h4>蓝牙连接管理功能</h4>
<p>
Android 8.0 在车载信息娱乐系统中提供了蓝牙连接管理功能，可实现更顺畅的蓝牙用户体验。如需更多信息，请参阅<a href="/devices/automotive/ivi_connectivity.html#bluetooth-connection-management">蓝牙连接管理功能</a>。
</p>

<h4>蓝牙多设备 HFP</h4>
<p>
使用蓝牙多设备连接，用户可以将多台设备连接到 Android Automotive IVI 蓝牙中的电话配置文件。如需更多信息，请参阅 <a href="/devices/automotive/ivi_connectivity.html#bluetooth-multi-device-connectivity">IVI 连接</a>。
</p>

<h4>车载相机 HAL</h4>
<p>
介绍了外景系统 (EVS) 堆栈的设计，并提供了可获取和呈现车载相机数据的 HAL 规范。如需更多信息，请参阅<a href="/devices/automotive/camera-hal.html">外景系统 (EVS) 车载相机 HAL</a>。
</p>

<h3 id="bluetooth">蓝牙</h3>
<p>
请参阅更新后的<a href="/devices/bluetooth/index.html">蓝牙概览</a>。
</p>

<h4>验证和调试蓝牙</h4>
<p>
一个新页面，其中介绍了如何验证和调试原生蓝牙堆栈。有关更多详情，请参阅<a href="/devices/bluetooth/verifying_debugging.html">验证和调试</a>。
</p>

<h4>蓝牙服务</h4>
<p>
蓝牙提供了多种协助实现跨设备核心服务的功能，如音频流式传输、接打电话和收发短信。如需关于 Android 蓝牙服务的更多信息，请参阅<a href="/devices/bluetooth/services.html">蓝牙服务</a>。
</p>

<h4>BLE 广告</h4>
<p>
蓝牙 5 支持不同的蓝牙低功耗数据广告模式，包括更高的带宽或更大的范围。如需更多信息，请参阅<a href="/devices/bluetooth/ble_advertising.html">蓝牙低功耗广告</a>。
</p>

<h4>音频编解码器的蓝牙支持</h4>
<p>
Android 8.0 版本支持蓝牙高清音频编解码器。如需更多信息，请参阅<a href="/devices/bluetooth/services.html#advanced-audio-codecs">高级音频编解码器</a>。
</p>

<h3 id="camera">相机</h3>

<h4>主要的相机功能</h4>
<p>
Android 8.0 版本中包含对相机服务的以下主要增强：共享表面、多个表面可共用相同的 OutputConfiguration System API 以实现自定义相机模式，以及 onCaptureQueueEmpty。如需更多信息，请参阅<a href="/devices/camera/versioning.html">相机版本支持</a>。
</p>

<h3 id="configuration">配置</h3>

<h4>Ambient 权能</h4>
<p>
借助此类权能，Linux 进程可以舍弃大多数类似于 root 的权限，同时保留执行其功能所需的权限。
Ambient 权能允许系统服务在其 <code>.rc</code> 文件中配置各项权能，从而将所有配置放入单个文件中。如需更多信息，请参阅<a href="/devices/tech/config/ambient.html">实现 Ambient 权能</a>。
</p>

<h4>特许权限白名单要求</h4>
<p>
从 Android 8.0 开始，必须将所有特权应用显式加入到 <code>/etc/permissions</code> 目录下的系统配置 XML 文件的白名单中。如果不这样做，则虽然设备可以启动，但设备实现将无法通过 CTS。如需更多信息，请参阅<a href="/devices/tech/config/perms-whitelist.html">特许权限白名单要求</a>。
</p>

<h4>实现 USB HAL</h4>
<p>
Android 8.0 版本将 USB 命令的处理从 init 脚本移至了原生 USB 守护进程，以实现更好的配置和代码可靠性。如需更多信息，请参阅<a href="/devices/tech/config/usb-hal.html">实现 USB HAL</a>。
</p>

<h3 id="connectivity">连接</h3>

<h4>为流量已用完的用户自定义设备行为</h4>
<p>
流量已用完的 Android 设备允许网络流量通过，但需要运营商和电信服务商来实现缓解协议。该功能实现了一个通用解决方案，使运营商和电信服务商能够在设备用完流量时予以指示。如需更多信息，请参阅<a href="/devices/tech/connect/oob-users.html">为流量已用完的用户自定义设备行为</a>。
</p>

<h3 id="debugging">调试</h3>

<h4>在 Android 编译系统中启用清理程序</h4>
<p>
清理程序是基于编译器的工具组件，在开发和测试期间使用，旨在识别错误和改进 Android。
Android 目前的一系列清理程序可以发现和诊断内存滥用错误以及可能存在危险的未定义行为。如需更多信息，请参阅<a href="/devices/tech/debug/sanitizers.html">在 Android 编译系统中启用清理程序</a>。
</p>

<h4>恢复陷入重新启动循环的设备</h4>
<p>
Android 8.0 中包含一项能够在发现核心系统组件陷入崩溃循环时派出“救援队”(Rescure Party) 的功能。然后，Rescue Party 会采取一系列措施来上报相关情况，以恢复设备。如需更多信息，请参阅 <a href="/devices/tech/debug/rescue-party.html">Rescue Party</a>。
</p>

<h4>Storaged</h4>
<p>
Android 8.0 添加了对 <code>storaged</code>（一个 Android 本机守护进程，可在 Android 设备上收集和发布存储指标）的支持。如需更多信息，请参阅<a href="/devices/tech/debug/storaged.html">实现 Storaged</a>。
</p>

<h3 id="display">显示</h3>

<h4>针对悬浮窗口的 Air Traffic Control</h4>
<p>
Android 8.0 引入了针对悬浮窗口的 Air Traffic Control，以简化和统一应用的叠加显示方式。Android 开源项目 (AOSP) 中包含使用该功能所需的所有内容。
</p>
<p>
借助 Air Traffic Control，开发者可以为应用创建全新的（受管理）悬浮层/窗口类型，以用于在其他应用之前显示窗口。该功能会为所有使用悬浮层的应用显示持续性通知，以便用户管理此类提醒窗口。
</p>
<p>
Android 兼容性测试套件 (CTS) 可以确认：
</p> <ul>
 <li>当前提醒窗口类型为：<code>TYPE_PHONE</code>、<code>TYPE_PRIORITY_PHONE</code>、<code>TYPE_SYSTEM_ALERT</code>、<code>TYPE_SYSTEM_OVERLAY</code> 或 <code>TYPE_SYSTEM_ERROR</code>
 </li><li>目标为 O SDK 的应用无法使用上述窗口类型在其他应用之前显示窗口。它们需要使用新窗口类型 TYPE_APPLICATION_OVERLAY。
</li><li>目标为较低版本 SDK 的应用仍然可以使用目前的窗口类型；不过，这些窗口在 Z 轴上将排在新的 TYPE_APPLICATION_OVERLAY 窗口之后。
 </li><li>系统可以在新层中移动或调整窗口大小，以减少杂乱现象。
 </li><li>设备制造商必须保留通知，以便用户控制哪个应用显示在其他应用之前。</li> </ul>

<h4>在辅助显示屏上启动 Activity</h4>
<p>
所有人都可以使用虚拟显示屏，无需任何特殊硬件。任何应用都可以创建虚拟显示屏实例；在 Android 8.0 版本中，如果关联的功能已启用，则可以在相应虚拟显示屏上启动 Activity。
</p>
<p>
要支持多显示屏功能，您应使用现有受支持的辅助设备连接方式之一，或编译新硬件。
在 Nexus 和 Pixel 设备上连接显示屏的受支持的方式包括 Google Cast 和<a href="https://developer.android.com/reference/android/hardware/display/VirtualDisplay.html">应用内虚拟显示屏</a>。是否支持其他方式取决于每种具体情况下（如 MHL 或 DisplayPort over USB-C）的内核驱动程序支持，以及完全实现 HardwareComposer HAL（IComposerCallback.hal 和 IComposerClient.hal）中与显示屏相关的接口定义。
</p>
<p>
每种方式都可能需要 SoC 或 OEM 支持。例如，要启用 DisplayPort over USB-C，则同时需要硬件 (SOC) 和软件（驱动程序）支持。您可能需要为硬件实现驱动程序，才能支持连接外接显示器。
</p>
<p>
默认实现将允许在辅助显示屏上启动各项 Activity 的全屏堆叠。您可以自定义辅助显示屏上的堆叠、系统界面和行为。
</p>

<h4>对通用提示的支持</h4>
<p>
Android 8.0 允许开发者为按钮及其他图标上的鼠标悬停行为提供描述性操作名称及其他实用信息。设备制造商可以设计弹出式提示的样式。其布局在 <code>android/frameworks/base/core/res/res/layout/tooltip.xml</code> 中定义。

</p>
<p>
OEM 可以替换布局或更改其尺寸和样式参数。请仅使用文字，并使尺寸在合理的范围内尽可能小。该功能完全在 View 类中实现，且有一些相当详尽的 CTS 测试，这些测试用于检查提示行为的很多方面。
</p>
<p>

</p><h4>对扩展宽高比的支持</h4>
<p>
Android 8.0 包含一个新的清单属性 <a href="https://developer.android.com/reference/android/R.attr.html#maxAspectRatio">maxAspectRatio</a>，该属性可让 Activity 或应用指定其支持的最大宽高比。
maxAspectRatio 将之前的元数据标记替换成一个顶级 API，并让设备可支持大于 16:9 的宽高比。
</p><ul>
<li>如果 Activity 或应用的<a href="https://developer.android.com/guide/topics/ui/multi-window.html#configuring">大小可调整</a>，则允许 Activity 填充屏幕。
</li><li>如果 Activity 或应用的大小不可调整，或者平台会强制调整 Activity 的大小，则允许应用窗口根据 <a href="https://developer.android.com/reference/android/R.attr.html#maxAspectRatio">maxAspectRatio</a> 值，以不超过此值的宽高比显示。<ul>
 <li>对于运行 Android 8.0 的设备上的应用，默认值为当前设备的宽高比。
 </li><li>对于运行较低版本 Android 的设备上的应用，默认值为 16:9。</li> </ul>
</li> </ul>

<h4>实现自适应图标</h4>
<p>
如果开发者仅提供一个图标素材资源，自适应图标的形状在设备内会保持一致，但在设备之间会有所差异。此外，图标支持两个图层（前景和背景），以实现动画效果，为用户提供愉悦的视觉体验。如需更多信息，请参阅<a href="/devices/tech/display/adaptive-icons.html">实现自适应图标</a>。
</p>

<h4>夜间模式</h4>
<p>
Android 7.0.1 中引入了夜间模式，该模式允许用户降低其屏幕发出的蓝光量。Android 8.0 使用户可以更好地控制夜间模式的强度。如需更多信息，请参阅<a href="/devices/tech/display/night-light.html">实现夜间模式</a>。
</p>

<h4>画中画</h4>
<p>
Android 8.0 支持在 Android 手持设备上使用画中画 (PIP) 功能。借助画中画功能，用户可以将有正在进行的活动（如视频）的应用调整到一个小窗口中。如需更多信息，请参阅 <a href="/devices/tech/display/pip.html">Android 手机上的画中画</a>。
</p>

<h4>改进分屏交互</h4>
<p>
多窗口模式使用户设备的屏幕上可以同时显示多个应用。
Android 8.0 改进了默认模式（分屏），当用户在进入分屏模式后点按主屏幕时，会压缩顶部窗格并调整启动器的大小。如需更多信息，请参阅<a href="/devices/tech/display/split-screen.html">改进分屏交互</a>。
</p>

<h4>添加微件/快捷方式</h4>
<p>
Android 8.0 中的一个新 API 使应用开发者可以从应用内添加快捷方式和微件，而不必依靠微件面板。出于安全考虑，以前通过发送广播添加快捷方式的方法已被弃用。如需更多信息，请参阅<a href="/devices/tech/display/widgets-shortcuts.html">实现添加微件/快捷方式</a>。
</p>

<h3 id="downloading-building">下载和编译</h3>

<h4>Android LLVM 工具链改进</h4>
<p>
希望使用我们的最新工具链/工具的 OEM 需要确保其任意私有代码都可以通过更新后的工具链成功编译。这可能需要他们修复其代码中存在的与未定义行为相关的问题。（当然，他们也可以随意使用喜欢的任何工具来编译自己的代码。）
</p>
<p>
他们必须确保自己的代码不含未定义的行为（通过使用 UBSan 等工具），以使之不易受到新工具链带来的问题的影响。所有工具链都始终在 AOSP 中直接更新。远远在 OC 发布之前，所有功能便都已可用，因此 OEM 应已遵循相关规定。
</p>
<p>
如需常规说明，请参阅<a href="https://llvm.org/">公开的 Clang/LLVM</a> 文档；如需 Android 专属指南，请参阅 AOSP 中的 <a href="https://android.googlesource.com/platform/external/clang/+/dev/ReadmeAndroid.md">Android Clang/LLVM</a> 文档集。
最后，请加入 <a href="https://groups.google.com/forum/#!forum/android-llvm">android-llvm</a> 公开论坛，以获取帮助和参与开发。
</p>

<h3 id="drm-kms">DRM/KMS</h3>

<h4>Linux 内核版本 4.9 中的 DRM/KMS</h4>
<p>
Android 使用的 Direct Rendering Manager (DRM)/Kernel Mode Setting (KMS) 框架由 Linux 内核开发者在 Linux 内核中开发和维护。Android 从 Linux 内核向下合并。如果从我们的通用内核向下合并，设备制造商可以自动获得 DRM/KMS 框架。
</p>
<p>
DRM/KMS 在 Linux 内核版本 4.9 中开始可用，Android <strong>强烈建议</strong> OEM 合作伙伴从这个内核版本开始使用 DRM/KMS。4.9 及更高版本的通用 Android 内核将不再支持 <a href="https://lwn.net/Articles/565422/">Atomic Display Framework (ADF)</a>（Android 目前官方支持的显示框架）；从 4.9 版开始，Android 将支持 DRM/KMS。OEM 可以继续使用 ADF（或任何其他框架），但 Android 在通用 Android 内核中将不再为其提供支持。
</p>
<p>
要实现 DRM/KMS，除了从 Android 通用内核向下合并 DRM/KMS 框架之外，您还需要使用 DRM/KMS 编写自己的驱动程序。
</p>

<h3 id="keystore">密钥存储区</h3>

<h4>Keymaster 3</h4>
<p>
Android 8.0 更新了 Keymaster（密钥存储区 HAL）：扩展了 Android 设备上硬件支持的密钥存储区的功能。这基于 Android 7.1.2 对 Keymaster 2 的更新。如需更多信息，请参阅 <a href="/security/keystore/index.html">Keymaster 3 文档</a>。
</p>

<h3 id="security-enhancements">安全增强功能</h3>

<h4>从 HttpsURLConnection 中移除了不安全的 TLS 版本回退功能</h4>
<p>
对于某些服务器中有问题的 TLS 协议降级协商实现，不安全的 TLS/SSL 协议版本回退功能是一种解决方法。这种方法容易受到 POODLE 攻击。Chrome 45 在 2015 年 9 月弃用不安全的回退功能时，依赖它的服务器不到 0.01%。为了提高安全性，在 Android 8.0 中，我们从 <a href="https://developer.android.com/reference/javax/net/ssl/HttpsURLConnection.html">HttpsURLConnection</a> 中移除了不安全的 TLS 版本回退功能。如需更多信息，请参阅<a href="https://android-developers.googleblog.com/2017/04/android-o-to-drop-insecure-tls-version.html
">这篇博文</a>。
</p>
<p>
要在搭载 Android 8.0 的设备上测试该功能，请运行以下 CTS 测试用例：
</p>

<pre class="devsite-click-to-copy devsite-terminal" data-terminal-prefix="# ">
cts-tradefed run cts -m CtsLibcoreOkHttpTestCases</pre>

<h3 id="performance">性能</h3>

<h4>闪存磨损管理</h4>
<p>
介绍 eMMC 行为和新功能，以协助 OEM 降低 Automotive 环境中 eMMC 发生故障的风险。如需更多信息，请参阅 <a href="/devices/tech/perf/flash-wear.html">Android Automotive 中的闪存磨损管理</a>。
</p>

<h4>优化启动时间</h4>
<p>
有关缩短特定 Android 设备启动时间的指南。如需更多信息，请参阅<a href="/devices/tech/perf/boot-times.html">优化启动时间</a>。
</p>

<h4>任务快照</h4>
<p>
任务快照是在 Android 8.0 中引入的基础架构，可将窗口管理器中最近任务的缩略图以及已保存平面的缩略图进行合并，从而节省内存。如需更多信息，请参阅<a href="/devices/tech/perf/task-snapshots.html">任务快照</a>。
</p>

<h3 id="peripherals">外设</h3>

<h4>默认打印服务</h4>
<p>
<a href="https://developer.android.com/reference/android/printservice/PrintService.html">打印服务</a>是一款应用，可用于发现打印机并将其呈现给设备的打印框架。在较低的 Android 版本中，用户必须搜索并安装第三方打印服务才能进行打印。
</p>
<p>
Android 8.0 在 <code><a href="https://android.googlesource.com/platform/packages/services/BuiltInPrintService/">platform/packages/services/BuiltInPrintService/</a></code> 中纳入了一项默认打印服务，该服务可让用户在现代打印机上进行打印，而无需安装任何额外的应用。
此实现支持符合以下条件的打印机：使用 Internet Printing Protocol (IPP) 进行通信，并使用 PCLm、PWG-Raster 或 PDF 发送可打印的内容。对于较旧的打印机，用户应安装 <a href="https://android.googlesource.com/platform/frameworks/base/+/android-7.0.0_r1/packages/PrintRecommendationService/">PrintRecommendationService</a> 推荐的应用，如<a href="https://youtu.be/M_JGeGLpOKs?t=16m20s">此 I/O 演示</a>中所示。

</p><h3 id="reference">参考资料更新</h3>

<p>
顶级导航菜单中添加了<a href="/reference/">参考资料</a>部分。作为 <a href="/devices/architecture/treble">Treble</a> 更新的一部分，其中添加了 <a href="/reference/hidl/">HIDL 参考资料</a>部分。<a href="/reference/tradefed/">Trade Federation</a> 和<a href="/reference/hal/">旧版 HAL</a> 参考文档已更新。
</p>

<h3 id="settings-menu">“设置”菜单</h3>

<h4>设置：模式和组件</h4>
<p>
在 Android 8.0 中，“设置”菜单中增加了一些能够涵盖常见使用情况的组件和微件。如需更多信息，请参阅<a href="/devices/tech/settings/patterns-components.html">模式和组件</a>。
</p>

<h4>设置：信息架构更新</h4>
<p>
Android 8.0 为“设置”应用引入了全新的信息架构。新信息架构的目标是简化设置的组织方式，让用户能够更轻松地快速查找自定义 Android 设备所需的设置。如需更多信息，请参阅如何实现<a href="/devices/tech/settings/info-architecture.html">已更新的信息架构</a>。
</p>

<h4>个性化设置</h4>
<p>
Android“设置”应用可为用户提供一系列建议。该功能会根据所有相关信息或用户以往与建议的互动情况对建议进行排名。如需更多信息，请参阅<a href="/devices/tech/settings/personalized.html">个性化设置</a>。
</p>

<h4>实现设置：通用搜索</h4>
<p>
Android 8.0 为“设置”菜单添加了经过扩展的搜索功能。该文档介绍了如何添加设置，以及如何确保正确地将其加入“设置”索引。
如需更多信息，请参阅<a href="/devices/tech/settings/universal-search.html">通用搜索</a>。
</p>

<h3 id="storage">存储</h3>

<h4>更快获取存储统计信息</h4>
<p>
Android 8.0 利用 EXT4 文件系统的“配额”支持，近乎即时地提供磁盘使用情况统计信息。如需更多信息，请参阅如何<a href="/devices/storage/faster-stats.html">实现更快获取存储统计信息</a>。
</p>

<h2 id="april-2017">2017 年 4 月</h2>
<p>欢迎访问新版 source.android.com！本网站经过了全新改版，可让您更轻松地浏览、搜索和阅读日益增多的信息。以下是我们对本网站所做改进的摘要：</p>

<h3 id="screen-estate">屏幕空间更宽裕，字体更大</h3>
<p>整个网站的空间更宽裕，可让您同时查看更多内容。代码示例和命令更加醒目，并且所有文字均采用更大的字体。</p>

<h3 id="mobile-ready">适合移动设备的视图</h3>
<p>通过专门的移动视图，新版网站可以在手持设备上更明晰地呈现内容。</p>

<div style="width:407px">
  <img src="images/mobile-view.png" alt="新移动视图" height="533px"/>
  <p class="img-caption">
    <strong>图 1.</strong> 网站的新移动视图</p>
</div>

<h3 id="top-tabs">新的顶级标签</h3>
<p><em></em><em></em>之前的“设备”标签已更名为<a href="/devices/">移植</a>，并且之前的“核心技术”子标签已更名为<a href="/devices/tech/">微调</a>并移到了网站顶部，以便更好地显示给用户。</p>

<h3 id="security-forefront">“安全性”标签排在了前列</h3>
<p>随着人们越来越关注 Android 的安全性，我们将<a href="/security/">安全性</a>标签向前移到了<a href="/setup/">源代码</a>旁边，以体现其重要性。</p>

<h3 id="reference-materials">更好的参考资料</h3>
<p>您可以直接从顶层的<a href="/reference/hal/">参考资料</a>标签获得<a href="/reference/tradefed/packages">硬件抽象层</a>和 <a href="/reference/">Trade Federation</a> 参考资料。</p>

<h3 id="code-links">每页都有的代码链接</h3>
<p>在每个页面中，您只需点击一下右上角的<a href="https://android.googlesource.com/">转到源代码</a>按钮，即可访问 <strong>AOSP 代码库</strong>。</p>

<h3 id="comprehensive-footers">包罗广泛的页脚</h3>
<p><em></em><em></em><em></em>除了已有的“关于”、“社区”和“法律”页脚之外，现在您还可以在每个页面的底部找到完整的链接列表。通过这些链接，您可以编译 Android、与 Android 生态系统建立联系，以及获得使用操作系统方面的帮助。</p>

</body></html>